Bug 237293 - CVE-2007-1558: claws-mail APOP vulnerability
CVE-2007-1558: claws-mail APOP vulnerability
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-20 13:22 EDT by Ville Skyttä
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-21 07:46:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-04-20 13:22:47 EDT
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-1558

"The APOP protocol allows remote attackers to guess the first 3 characters of a
password via man-in-the-middle (MITM) attacks that use crafted message IDs and
MD5 collisions. NOTE: this design-level issue potentially affects all products
that use APOP, including (1) Thunderbird, (2) Evolution, (3) mutt, and (4)
fetchmail."

According to upstream, fixed in 2.9.1.
http://www.claws-mail.org/news.php
Comment 1 Andreas Bierfert 2007-04-21 07:46:14 EDT
Thanks for reporting. Fixed and pushed.

Note You need to log in before you can comment on or make changes to this bug.